---
title: Read All Custom Push Providers
description: This example uses the pushDeliverySettings endpoint to return the information for all the custom push providers defined for the PingOne environment.
component: pingone-api-ea
page_id: pingone-api-ea:platform:early-access/push-delivery-settings/get_custom_push_providers
canonical_url: https://developer.pingidentity.com/pingone-api-ea/platform/early-access/push-delivery-settings/get_custom_push_providers.html
llms_txt: https://developer.pingidentity.com/pingone-api-ea/llms.txt
docs_for_agents: https://developer.pingidentity.com/build-with-ai/docs-for-agents.md
section_ids:
  headers: Headers
  example-request: Example Request
  example-response: Example Response
---

# Read All Custom Push Providers

##

```none
GET {{apiPath}}/v1/environments/{{envID}}/notificationsSettings/pushDeliverySettings
```

This example uses the `pushDeliverySettings` endpoint to return the information for all the custom push providers defined for the PingOne environment.

### Headers

Authorization      Bearer {{accessToken}}

##

### Example Request

* cURL

* C#

* Go

* HTTP

* Java

* jQuery

* NodeJS

* Python

* PHP

* Ruby

* Swift

```shell
curl --location --globoff '{{apiPath}}/v1/environments/{{envID}}/notificationsSettings/pushDeliverySettings' \
--header 'Authorization: Bearer {{accessToken}}'
```

```csharp
var options = new RestClientOptions("{{apiPath}}/v1/environments/{{envID}}/notificationsSettings/pushDeliverySettings")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Get);
request.AddHeader("Authorization", "Bearer {{accessToken}}");
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
```

```golang
package main

import (
  "fmt"
  "net/http"
  "io"
)

func main() {

  url := "{{apiPath}}/v1/environments/{{envID}}/notificationsSettings/pushDeliverySettings"
  method := "GET"

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, nil)

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("Authorization", "Bearer {{accessToken}}")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := io.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

```http
GET /v1/environments/{{envID}}/notificationsSettings/pushDeliverySettings HTTP/1.1
Host: {{apiPath}}
Authorization: Bearer {{accessToken}}
```

```java
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("text/plain");
RequestBody body = RequestBody.create(mediaType, "");
Request request = new Request.Builder()
  .url("{{apiPath}}/v1/environments/{{envID}}/notificationsSettings/pushDeliverySettings")
  .method("GET", body)
  .addHeader("Authorization", "Bearer {{accessToken}}")
  .build();
Response response = client.newCall(request).execute();
```

```javascript
var settings = {
  "url": "{{apiPath}}/v1/environments/{{envID}}/notificationsSettings/pushDeliverySettings",
  "method": "GET",
  "timeout": 0,
  "headers": {
    "Authorization": "Bearer {{accessToken}}"
  },
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
```

```javascript
var request = require('request');
var options = {
  'method': 'GET',
  'url': '{{apiPath}}/v1/environments/{{envID}}/notificationsSettings/pushDeliverySettings',
  'headers': {
    'Authorization': 'Bearer {{accessToken}}'
  }
};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});
```

```python
import requests

url = "{{apiPath}}/v1/environments/{{envID}}/notificationsSettings/pushDeliverySettings"

payload = {}
headers = {
  'Authorization': 'Bearer {{accessToken}}'
}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)
```

```php
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('{{apiPath}}/v1/environments/{{envID}}/notificationsSettings/pushDeliverySettings');
$request->setMethod(HTTP_Request2::METHOD_GET);
$request->setConfig(array(
  'follow_redirects' => TRUE
));
$request->setHeader(array(
  'Authorization' => 'Bearer {{accessToken}}'
));
try {
  $response = $request->send();
  if ($response->getStatus() == 200) {
    echo $response->getBody();
  }
  else {
    echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
    $response->getReasonPhrase();
  }
}
catch(HTTP_Request2_Exception $e) {
  echo 'Error: ' . $e->getMessage();
}
```

```ruby
require "uri"
require "net/http"

url = URI("{{apiPath}}/v1/environments/{{envID}}/notificationsSettings/pushDeliverySettings")

http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Get.new(url)
request["Authorization"] = "Bearer {{accessToken}}"

response = http.request(request)
puts response.read_body
```

```swift
var request = URLRequest(url: URL(string: "{{apiPath}}/v1/environments/{{envID}}/notificationsSettings/pushDeliverySettings")!,timeoutInterval: Double.infinity)
request.addValue("Bearer {{accessToken}}", forHTTPHeaderField: "Authorization")

request.httpMethod = "GET"

let task = URLSession.shared.dataTask(with: request) { data, response, error in
  guard let data = data else {
    print(String(describing: error))
    return
  }
  print(String(data: data, encoding: .utf8)!)
}

task.resume()
```

### Example Response

200 OK

```json
{
    "_links": {
        "environment": {
            "href": "https://api.pingone.eu/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
        },
        "self": {
            "href": "https://api.pingone.eu/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/notificationsSettings/pushDeliverySettings"
        }
    },
    "_embedded": {
        "pushDeliverySettings": [
            {
                "_links": {
                    "environment": {
                        "href": "https://api.pingone.eu/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
                    },
                    "self": {
                        "href": "https://api.pingone.eu/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/notificationsSettings/pushDeliverySettings/be724435-b51c-4c86-88ec-adf84bf27b69"
                    }
                },
                "id": "be724435-b51c-4c86-88ec-adf84bf27b69",
                "environment": {
                    "id": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
                },
                "name": "custom push provider",
                "provider": "CUSTOM_PROVIDER",
                "authentication": {
                    "username": "one",
                    "method": "BASIC"
                },
                "requests": [
                    {
                        "deliveryMethod": "PUSH",
                        "url": "https://www.example.com",
                        "method": "POST",
                        "body": "data=${push-data}",
                        "headers": {
                            "content-type": "application/x-www-form-urlencoded"
                        }
                    }
                ],
                "createdAt": "2026-03-19T10:33:25.665Z",
                "updatedAt": "2026-03-19T10:33:25.665Z"
            },
            {
                "_links": {
                    "environment": {
                        "href": "https://api.pingone.eu/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
                    },
                    "self": {
                        "href": "https://api.pingone.eu/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/notificationsSettings/pushDeliverySettings/4d64a2b8-80cf-4295-97ae-ad33ab08db6b"
                    }
                },
                "id": "4d64a2b8-80cf-4295-97ae-ad33ab08db6b",
                "environment": {
                    "id": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
                },
                "name": "Custom push provider - created with API",
                "provider": "CUSTOM_PROVIDER",
                "authentication": {
                    "grantType": "CLIENT_CREDENTIALS",
                    "clientAuthenticationMethod": "BASIC_AUTH_HEADER",
                    "authUrl": "https://login.example.com/oauth/token",
                    "clientId": "idForAccount",
                    "scopes": [
                        "push:send"
                    ],
                    "method": "OAUTH2"
                },
                "requests": [
                    {
                        "deliveryMethod": "PUSH",
                        "url": "https://www.example.com",
                        "method": "POST",
                        "body": "data=${push-data}",
                        "headers": {
                            "content-type": "application/json"
                        }
                    }
                ],
                "createdAt": "2026-06-23T15:42:12.555Z",
                "updatedAt": "2026-06-23T15:42:12.555Z"
            },
            {
                "_links": {
                    "environment": {
                        "href": "https://api.pingone.eu/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
                    },
                    "self": {
                        "href": "https://api.pingone.eu/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/notificationsSettings/pushDeliverySettings/61debe8b-fc8a-4d69-9c99-082cd1d982ea"
                    }
                },
                "id": "61debe8b-fc8a-4d69-9c99-082cd1d982ea",
                "environment": {
                    "id": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
                },
                "name": "Custom push provider - created with API 2",
                "provider": "CUSTOM_PROVIDER",
                "authentication": {
                    "grantType": "CLIENT_CREDENTIALS",
                    "clientAuthenticationMethod": "BASIC_AUTH_HEADER",
                    "authUrl": "https://login.example.com/oauth/token",
                    "clientId": "idForAccount",
                    "scopes": [
                        "push:send"
                    ],
                    "method": "OAUTH2"
                },
                "requests": [
                    {
                        "deliveryMethod": "PUSH",
                        "url": "https://www.example.com",
                        "method": "POST",
                        "body": "data=${push-data}",
                        "headers": {
                            "content-type": "application/json"
                        }
                    }
                ],
                "createdAt": "2026-06-23T15:52:55.506Z",
                "updatedAt": "2026-06-23T15:52:55.506Z"
            }
        ]
    },
    "size": 3
}
```
